GNU bug report logs - #47592
emacs-org-generate, emacs-picpocket test suite failures

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Leo Prikler <leo.prikler@HIDDEN>; dated Sun, 4 Apr 2021 11:15:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 47592 <at> debbugs.gnu.org:


Received: (at 47592) by debbugs.gnu.org; 20 May 2021 14:58:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 20 10:58:24 2021
Received: from localhost ([127.0.0.1]:34998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ljk80-0004eC-BD
	for submit <at> debbugs.gnu.org; Thu, 20 May 2021 10:58:24 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:26383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1ljk7x-0004e1-Sz
 for 47592 <at> debbugs.gnu.org; Thu, 20 May 2021 10:58:23 -0400
Received: from [10.0.0.4] (91-114-247-246.adsl.highway.telekom.at
 [91.114.247.246])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4FmCXp11Jqz3wNp;
 Thu, 20 May 2021 16:58:17 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1621522698;
 bh=cD8iWUkF8Wqgzs3UgHot0bpm0ZF57rj0bE9S1qNKgHk=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=ETIXfKN1u0T7hhnn8e+8ibPeJ5BGdqtSEvuZ0pFfcmlbUZ1kZnLZ9rpKL10vaAzek
 Zw2mZ99JWY/cjkQF+pwwHmVsdMNqIyfn3DrHkpnkxciN5HljDtLH0+X1eSfVu64xw9
 q8BTPR51tMlfaFUcH9h7599S+Pgv74yFHt/KCcjU=
Message-ID: <d6ac3c9497960ce4ea4216c4bc35270f2d948582.camel@HIDDEN>
Subject: Re: bug#47592: [WIP Emacs] Emacs packages, that fail to build on
 master
From: Leo Prikler <leo.prikler@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Thu, 20 May 2021 16:57:57 +0200
In-Reply-To: <871ra11sni.fsf@HIDDEN>
References: <74f699d0628014b815f4ad1ae45d0c0cea06a55f.camel@HIDDEN>
 <871ra11sni.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47592
Cc: 47592 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Maxim,

Am Donnerstag, den 20.05.2021, 08:44 -0400 schrieb Maxim Cournoyer:
> Hi Leo,
> 
> Leo Prikler <leo.prikler@HIDDEN> writes:
> 
> > I'm currently in the process of verifying, that all Emacs packages
> > build in the wip-emacs branch.  To that end, I'm running a manifest
> > generated from all emacs-xyz exports, which will fail for some
> > package,
> > that I've broken, then rinse and repeat.
> > However, there are some build failures, that exist not only in wip-
> > emacs.
> > 
> > In order not to generate too many bug numbers, I'm filing this as
> > some sort of meta bug.  Fixes could likely be pushed directly to
> > master, but if it's fine for everyone to wait a little, I'd send
> > them through wip-emacs first.
> > 
> > Regards, 
> > Leo
> > 
> > ----- BEGIN BUILD FAILURES -----
> > 
> > emacs-nodejs-repl has a non-deterministic error in its test suite. 
> > Trying to complete "Error" sometimes yields nil for no apparent
> > reason.
> > 
> > emacs-org-generate fails with the following:
> > 
> > starting phase `check'
> > Loading /gnu/store/36ypaaqlmdqi3srzw892d3ppxm5hd6qi-emacs-mustache-
> > 0.23/share/emacs/site-lisp/mustache-render.el (source)...
> > Loading /gnu/store/36ypaaqlmdqi3srzw892d3ppxm5hd6qi-emacs-mustache-
> > 0.23/share/emacs/site-lisp/mustache-lex.el (source)...
> > Package cl is deprecated
> > Loading /gnu/store/36ypaaqlmdqi3srzw892d3ppxm5hd6qi-emacs-mustache-
> > 0.23/share/emacs/site-lisp/mustache-parse.el (source)...
> > Eager macro-expansion failure: (wrong-type-argument sequencep
> > :equal)
> > Eager macro-expansion failure: (wrong-type-argument sequencep
> > :equal)
> > Wrong type argument: sequencep, :equal
> > command "emacs" "--batch" "--quick" "--directory=." "--load=org-
> > generate-tests.el" "--funcall=cort-test-run" failed with status 255
> > 
> > emacs-picpocket fails with the following:
> > 
> > 37 unexpected results:
> >    FAILED  picpocket-add-tag-delete-file
> >    FAILED  picpocket-copy-all
> >    FAILED  picpocket-delete-from-beginning
> >    FAILED  picpocket-delete-from-the-middle-and-end
> >    FAILED  picpocket-delete-redundant-tagged-file
> >    FAILED  picpocket-delete-unique-tagged-file
> >    FAILED  picpocket-empty-undo-buffer-test
> >    FAILED  picpocket-external-file-sha-change
> >    FAILED  picpocket-file-list-dot-file
> >    FAILED  picpocket-file-list-symlink-loop
> >    FAILED  picpocket-files-in-list-test
> >    FAILED  picpocket-hardlink-all
> >    FAILED  picpocket-insert-after-current
> >    FAILED  picpocket-insert-before-current
> >    FAILED  picpocket-move-all
> >    FAILED  picpocket-single-undelete-test
> >    FAILED  picpocket-tag-to-all
> >    FAILED  picpocket-test-compute-filter-index
> >    FAILED  picpocket-test-compute-filter-match-count
> >    FAILED  picpocket-test-jump
> >    FAILED  picpocket-test-pic-by-index
> >    FAILED  picpocket-tree-add-and-clear-tag
> >    FAILED  picpocket-tree-add-tag-to-all
> >    FAILED  picpocket-tree-copy-within-tree
> >    FAILED  picpocket-tree-file-list
> >    FAILED  picpocket-tree-files
> >    FAILED  picpocket-tree-make-list-with-tags
> >    FAILED  picpocket-tree-make-list-with-tags2
> >    FAILED  picpocket-tree-move-outside-tree
> >    FAILED  picpocket-tree-move-within-tree
> >    FAILED  picpocket-undelete-all-test
> >    FAILED  picpocket-undo-add-tag-test
> >    FAILED  picpocket-undo-buffer-test
> >    FAILED  picpocket-undo-copy-test
> >    FAILED  picpocket-undo-move-test
> >    FAILED  picpocket-undo-remove-tag-test
> >    FAILED  picpocket-undo-rename-test
> > 
> > command "emacs" "--batch" "-l" "picpocket-test.el" "-f" "ert-run-
> > tests-
> > batch-and-exit" failed with status 1
> > builder for `/gnu/store/6217gnljvphffsllvn9d8s9sl284ms7w-emacs-
> > picpocket-40.drv' failed with exit code 1
> 
> Pardon me for not checking myself, but I thought perhaps you had
> taken care of these issues on the recently merged wip-emacs branch?
> 
> If so, let's close it!
> 
> Thank you,
> 
> Maxim
Sadly, I did not.  I merely documented that it wasn't wip-emacs which
broke them.  However, I don't think this bug is useful to keep around
now that wip-emacs is merged.  If anyone has a fix to a breaking emacs-
package, that warrant's it's own bug/patch thread.

Regards,
Leo





Information forwarded to bug-guix@HIDDEN:
bug#47592; Package guix. Full text available.
Changed bug title to 'emacs-org-generate, emacs-picpocket test suite failures' from '[WIP Emacs] Emacs packages, that fail to build on master' Request was from Maxim Cournoyer <maxim.cournoyer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47592 <at> debbugs.gnu.org:


Received: (at 47592) by debbugs.gnu.org; 20 May 2021 12:44:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 20 08:44:43 2021
Received: from localhost ([127.0.0.1]:33333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lji2c-0006lL-NQ
	for submit <at> debbugs.gnu.org; Thu, 20 May 2021 08:44:43 -0400
Received: from mail-qk1-f179.google.com ([209.85.222.179]:39782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1lji2a-0006l7-OJ
 for 47592 <at> debbugs.gnu.org; Thu, 20 May 2021 08:44:41 -0400
Received: by mail-qk1-f179.google.com with SMTP id k127so15918436qkc.6
 for <47592 <at> debbugs.gnu.org>; Thu, 20 May 2021 05:44:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=+rnhYl/ooafsD3TFVCb1j9jIWJlvHYEuTE+iqtsoQkg=;
 b=WVmzx09ISk8EojBUN82UwZYQbmM2POF0BqMoGcArp1UnJl7oaUDjxquaK0q1lon17e
 ryuXz7KeDeIiV07bcVRSDHGpfJtGRejbLbtmNJla6/qoaAMVXCv/Z4xtoo6ImNhCV68N
 JZgyeVyP/7g66xlSxbgEJd8QVIHFX4uOAN6GaGpqqtsQFQK5V2hgmie/UrI+Mi5J5yzt
 9DX37hqUyB+WvVDAxdXWJNufso0hHhoPQbcmNBptPIiT++nJeujZt5gJXVqq0QTx+iPR
 EaFDVIsxAbX/h8mqRB1jPOEsAfC1uM6FhiXGUtddD9iJ7hme2uiLDSVpMlMXYu+alSAp
 ONOg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=+rnhYl/ooafsD3TFVCb1j9jIWJlvHYEuTE+iqtsoQkg=;
 b=LnN6BKNSriyVDazqL5SemNdFfxZURBBxcI/KZ3qM2qJLU19xBaC0y/Yx5ch1k0GG/t
 gIu99obov17wzjrnaVGQTNfXfAARWq5/RzfsBG1S33iseSJvODY9tvmsTXGCNgSP/rTj
 zOZwsoZuBNqlaRUwF5g77zyoE9V3Q2USjwiuT1tw8njRR+2BYdKxf6+pP3c/pf6C5d9S
 v8awUd54DixCrGd1Mgk9a3kkhyR1tpHxJCIBDJxpSnAYJ4fTww8kzuW0Iu4ekKbPgcAZ
 m71tzeQVcyVPq8Vde/9bujXtO50CJan2XMeZ8h9AT2IxPRtNPRdAMwApEjAR8X+vw2G2
 LPog==
X-Gm-Message-State: AOAM530HLqyUp6zl59DDhmv3IWTxMqwgajucycBjoUI+p6UIw+7K6rj/
 QyU8fs7CR8WAw3vt1UBjHzDboFJpx/hauQ==
X-Google-Smtp-Source: ABdhPJzGNzYa7Xc9XsNS+TNFfQF9uOA0g23h+3AuJO713CA4unhwhluTrXH3y9k4rXck0f/GkmHOtA==
X-Received: by 2002:a37:42c3:: with SMTP id p186mr4726082qka.352.1621514675094; 
 Thu, 20 May 2021 05:44:35 -0700 (PDT)
Received: from hurd (dsl-150-81.b2b2c.ca. [66.158.150.81])
 by smtp.gmail.com with ESMTPSA id h2sm1941779qkf.106.2021.05.20.05.44.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 20 May 2021 05:44:34 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>
Subject: Re: bug#47592: [WIP Emacs] Emacs packages, that fail to build on
 master
References: <74f699d0628014b815f4ad1ae45d0c0cea06a55f.camel@HIDDEN>
Date: Thu, 20 May 2021 08:44:33 -0400
In-Reply-To: <74f699d0628014b815f4ad1ae45d0c0cea06a55f.camel@HIDDEN>
 (Leo Prikler's message of "Sun, 04 Apr 2021 13:14:18 +0200")
Message-ID: <871ra11sni.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47592
Cc: 47592 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Leo,

Leo Prikler <leo.prikler@HIDDEN> writes:

> I'm currently in the process of verifying, that all Emacs packages
> build in the wip-emacs branch.  To that end, I'm running a manifest
> generated from all emacs-xyz exports, which will fail for some package,
> that I've broken, then rinse and repeat.
> However, there are some build failures, that exist not only in wip-
> emacs.
>
> In order not to generate too many bug numbers, I'm filing this as some
> sort of meta bug.  Fixes could likely be pushed directly to master, but
> if it's fine for everyone to wait a little, I'd send them through wip-
> emacs first.
>
> Regards, 
> Leo
>
> ----- BEGIN BUILD FAILURES -----
>
> emacs-nodejs-repl has a non-deterministic error in its test suite. 
> Trying to complete "Error" sometimes yields nil for no apparent reason.
>
> emacs-org-generate fails with the following:
>
> starting phase `check'
> Loading /gnu/store/36ypaaqlmdqi3srzw892d3ppxm5hd6qi-emacs-mustache-
> 0.23/share/emacs/site-lisp/mustache-render.el (source)...
> Loading /gnu/store/36ypaaqlmdqi3srzw892d3ppxm5hd6qi-emacs-mustache-
> 0.23/share/emacs/site-lisp/mustache-lex.el (source)...
> Package cl is deprecated
> Loading /gnu/store/36ypaaqlmdqi3srzw892d3ppxm5hd6qi-emacs-mustache-
> 0.23/share/emacs/site-lisp/mustache-parse.el (source)...
> Eager macro-expansion failure: (wrong-type-argument sequencep :equal)
> Eager macro-expansion failure: (wrong-type-argument sequencep :equal)
> Wrong type argument: sequencep, :equal
> command "emacs" "--batch" "--quick" "--directory=." "--load=org-
> generate-tests.el" "--funcall=cort-test-run" failed with status 255
>
> emacs-picpocket fails with the following:
>
> 37 unexpected results:
>    FAILED  picpocket-add-tag-delete-file
>    FAILED  picpocket-copy-all
>    FAILED  picpocket-delete-from-beginning
>    FAILED  picpocket-delete-from-the-middle-and-end
>    FAILED  picpocket-delete-redundant-tagged-file
>    FAILED  picpocket-delete-unique-tagged-file
>    FAILED  picpocket-empty-undo-buffer-test
>    FAILED  picpocket-external-file-sha-change
>    FAILED  picpocket-file-list-dot-file
>    FAILED  picpocket-file-list-symlink-loop
>    FAILED  picpocket-files-in-list-test
>    FAILED  picpocket-hardlink-all
>    FAILED  picpocket-insert-after-current
>    FAILED  picpocket-insert-before-current
>    FAILED  picpocket-move-all
>    FAILED  picpocket-single-undelete-test
>    FAILED  picpocket-tag-to-all
>    FAILED  picpocket-test-compute-filter-index
>    FAILED  picpocket-test-compute-filter-match-count
>    FAILED  picpocket-test-jump
>    FAILED  picpocket-test-pic-by-index
>    FAILED  picpocket-tree-add-and-clear-tag
>    FAILED  picpocket-tree-add-tag-to-all
>    FAILED  picpocket-tree-copy-within-tree
>    FAILED  picpocket-tree-file-list
>    FAILED  picpocket-tree-files
>    FAILED  picpocket-tree-make-list-with-tags
>    FAILED  picpocket-tree-make-list-with-tags2
>    FAILED  picpocket-tree-move-outside-tree
>    FAILED  picpocket-tree-move-within-tree
>    FAILED  picpocket-undelete-all-test
>    FAILED  picpocket-undo-add-tag-test
>    FAILED  picpocket-undo-buffer-test
>    FAILED  picpocket-undo-copy-test
>    FAILED  picpocket-undo-move-test
>    FAILED  picpocket-undo-remove-tag-test
>    FAILED  picpocket-undo-rename-test
>
> command "emacs" "--batch" "-l" "picpocket-test.el" "-f" "ert-run-tests-
> batch-and-exit" failed with status 1
> builder for `/gnu/store/6217gnljvphffsllvn9d8s9sl284ms7w-emacs-
> picpocket-40.drv' failed with exit code 1

Pardon me for not checking myself, but I thought perhaps you had taken
care of these issues on the recently merged wip-emacs branch?

If so, let's close it!

Thank you,

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#47592; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Apr 2021 11:14:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 04 07:14:33 2021
Received: from localhost ([127.0.0.1]:34954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lT0i9-0005Bh-3E
	for submit <at> debbugs.gnu.org; Sun, 04 Apr 2021 07:14:33 -0400
Received: from lists.gnu.org ([209.51.188.17]:57060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1lT0i6-0005BZ-B6
 for submit <at> debbugs.gnu.org; Sun, 04 Apr 2021 07:14:31 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51476)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo.prikler@HIDDEN>)
 id 1lT0i4-0005QB-OY
 for bug-guix@HIDDEN; Sun, 04 Apr 2021 07:14:29 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:11151)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo.prikler@HIDDEN>)
 id 1lT0i0-0007v2-Gd
 for bug-guix@HIDDEN; Sun, 04 Apr 2021 07:14:27 -0400
Received: from nijino.local (194-96-13-79.adsl.highway.telekom.at
 [194.96.13.79])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4FCrlb1KBwz3yND
 for <bug-guix@HIDDEN>; Sun,  4 Apr 2021 13:14:18 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1617534859;
 bh=zcWOfnIjqUbWMgY9OIHd+98Bj78YW6AlLnv8E3KLf6Q=;
 h=Subject:From:To:Date;
 b=eVW/YOPkSjvLiibW4iyxOyjEX32n4Qrk+i6i0h7WPYzWdVt0+mLQkj7Suas3hIspB
 gDiLbp36zYQfIr2HE+gCz4DDsxwlMhK1w4o8L3SkSIbIWgN2wcx73HLlu5B0K9uT0d
 xfg3V9pNhF6EiqRHISpooplsZPeC2QE+1zgADCLQ=
Message-ID: <74f699d0628014b815f4ad1ae45d0c0cea06a55f.camel@HIDDEN>
Subject: [WIP Emacs] Emacs packages, that fail to build on master
From: Leo Prikler <leo.prikler@HIDDEN>
To: bug-guix@HIDDEN
Date: Sun, 04 Apr 2021 13:14:18 +0200
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
Received-SPF: pass client-ip=129.27.2.202;
 envelope-from=leo.prikler@HIDDEN; helo=mailrelay.tugraz.at
X-Spam_score_int: -42
X-Spam_score: -4.3
X-Spam_bar: ----
X-Spam_report: (-4.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_EF=-0.1, RCVD_IN_DNSWL_MED=-2.3,
 RCVD_IN_MSPIKE_H3=-0.01, RCVD_IN_MSPIKE_WL=-0.01, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I'm currently in the process of verifying, that all Emacs packages
build in the wip-emacs branch.  To that end, I'm running a manifest
generated from all emacs-xyz exports, which will fail for some package,
that I've broken, then rinse and repeat.
However, there are some build failures, that exist not only in wip-
emacs.

In order not to generate too many bug numbers, I'm filing this as some
sort of meta bug.  Fixes could likely be pushed directly to master, but
if it's fine for everyone to wait a little, I'd send them through wip-
emacs first.

Regards, 
Leo

----- BEGIN BUILD FAILURES -----

emacs-nodejs-repl has a non-deterministic error in its test suite. 
Trying to complete "Error" sometimes yields nil for no apparent reason.

emacs-org-generate fails with the following:

starting phase `check'
Loading /gnu/store/36ypaaqlmdqi3srzw892d3ppxm5hd6qi-emacs-mustache-
0.23/share/emacs/site-lisp/mustache-render.el (source)...
Loading /gnu/store/36ypaaqlmdqi3srzw892d3ppxm5hd6qi-emacs-mustache-
0.23/share/emacs/site-lisp/mustache-lex.el (source)...
Package cl is deprecated
Loading /gnu/store/36ypaaqlmdqi3srzw892d3ppxm5hd6qi-emacs-mustache-
0.23/share/emacs/site-lisp/mustache-parse.el (source)...
Eager macro-expansion failure: (wrong-type-argument sequencep :equal)
Eager macro-expansion failure: (wrong-type-argument sequencep :equal)
Wrong type argument: sequencep, :equal
command "emacs" "--batch" "--quick" "--directory=." "--load=org-
generate-tests.el" "--funcall=cort-test-run" failed with status 255

emacs-picpocket fails with the following:

37 unexpected results:
   FAILED  picpocket-add-tag-delete-file
   FAILED  picpocket-copy-all
   FAILED  picpocket-delete-from-beginning
   FAILED  picpocket-delete-from-the-middle-and-end
   FAILED  picpocket-delete-redundant-tagged-file
   FAILED  picpocket-delete-unique-tagged-file
   FAILED  picpocket-empty-undo-buffer-test
   FAILED  picpocket-external-file-sha-change
   FAILED  picpocket-file-list-dot-file
   FAILED  picpocket-file-list-symlink-loop
   FAILED  picpocket-files-in-list-test
   FAILED  picpocket-hardlink-all
   FAILED  picpocket-insert-after-current
   FAILED  picpocket-insert-before-current
   FAILED  picpocket-move-all
   FAILED  picpocket-single-undelete-test
   FAILED  picpocket-tag-to-all
   FAILED  picpocket-test-compute-filter-index
   FAILED  picpocket-test-compute-filter-match-count
   FAILED  picpocket-test-jump
   FAILED  picpocket-test-pic-by-index
   FAILED  picpocket-tree-add-and-clear-tag
   FAILED  picpocket-tree-add-tag-to-all
   FAILED  picpocket-tree-copy-within-tree
   FAILED  picpocket-tree-file-list
   FAILED  picpocket-tree-files
   FAILED  picpocket-tree-make-list-with-tags
   FAILED  picpocket-tree-make-list-with-tags2
   FAILED  picpocket-tree-move-outside-tree
   FAILED  picpocket-tree-move-within-tree
   FAILED  picpocket-undelete-all-test
   FAILED  picpocket-undo-add-tag-test
   FAILED  picpocket-undo-buffer-test
   FAILED  picpocket-undo-copy-test
   FAILED  picpocket-undo-move-test
   FAILED  picpocket-undo-remove-tag-test
   FAILED  picpocket-undo-rename-test

command "emacs" "--batch" "-l" "picpocket-test.el" "-f" "ert-run-tests-
batch-and-exit" failed with status 1
builder for `/gnu/store/6217gnljvphffsllvn9d8s9sl284ms7w-emacs-
picpocket-40.drv' failed with exit code 1





Acknowledgement sent to Leo Prikler <leo.prikler@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#47592; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 20 May 2021 15:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.